package modules.region;

import utils.*;
import simulator.*;
import java.util.*;

/*
  A latched region simply holds its current state, not propagating
 */

public class LatchedRegion implements RegionMembershipTest {
  Object id;
  public LatchedRegion(Object id) { this.id=id; }
  public boolean isMember(PortedProcessor pp) {
    RegionManager rm = (RegionManager)pp.getModule("RegionManager");
    return rm.inRegion(id);
  }
}
